<template>
  <u-modal
    :title="title"
    :visible.sync="visible"
    contentFull
    @ok="handleOk"
    @cancel="handleCancel">
    <inspect-content-form ref="realForm" @ok="submitCallback" :disabled="disableSubmit"></inspect-content-form>
  </u-modal>
</template>

<script>

  import InspectContentForm from './InspectContentForm'
  export default {
    name: 'InspectContentModal',
    components: {
      InspectContentForm
    },
    data () {
      return {
        title:'',
        visible: false,
        disableSubmit: false
      }
    },
    methods: {
      add () {
        this.visible=true
        this.$nextTick(()=>{
          this.$refs.realForm.add();
        })
      },
      edit (record) {
        this.visible=true
        this.$nextTick(()=>{
          this.$refs.realForm.edit(record);
        })
      },
      close () {
        this.$emit('close');
        this.visible = false;
      },
      handleOk () {
        this.$refs.realForm.submitForm();
      },
      submitCallback(){
        this.$emit('ok');
        this.visible = false;
      },
      handleCancel () {
        this.close()
      }
    }
  }
</script>